=== src/hashtools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
OPT	= -O -Wall
DEBUG	= -g
BIN	= ../../bin
PROGS	= $(BIN)/md5 $(BIN)/sha1 $(BIN)/hfind
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. $(XFLAGS)

defs:
	@CC="$(CC)" sh ../makedefs

all:	$(PROGS)

$(BIN)/md5: md5.o md5c.o
	$(CC) $(CFLAGS) -o $@ md5.o md5c.o

$(BIN)/sha1: sha1.o 
	$(CC) $(CFLAGS) -o $@ sha1.o 

$(BIN)/hfind: hfind.o nsrl.o tm_lookup.o md5sum.o hk.o
	$(CC) $(CFLAGS) -o $@ hfind.o nsrl.o tm_lookup.o md5sum.o hk.o

clean:
	rm -f $(PROGS) *.o core *.core

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit below this line - it is generated by 'make depend'
hfind.o: hfind.c
hfind.o: hfind.h
hk.o: hk.c
hk.o: hfind.h
md5.o: md5.c
md5.o: global.h
md5.o: md5.h
md5c.o: md5c.c
md5c.o: global.h
md5c.o: md5.h
md5sum.o: md5sum.c
md5sum.o: hfind.h
nsrl.o: nsrl.c
nsrl.o: hfind.h
sha1.o: sha1.c
sha1.o: sha1.h
sha1.o: global.h
tm_lookup.o: tm_lookup.c
tm_lookup.o: hfind.h
