=== src/mmtools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
# Uncomment this for a static build
# OPT	= -O -Wall  -static
OPT	= -O -Wall 
DEBUG	= -g
INCL	= -I../misc
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
LIBOBJ	= mm_part.o mm_open.o mm_types.o dos.o mac.o bsd.o sun.o get.o
LIBS	= ../misc/aux_lib.a
LIB	= mm_lib.a
BIN_DIR	= ../../bin
PROGS	= $(BIN_DIR)/mmls

defs:
	@CC="$(CC)" sh ../makedefs

all:	$(LIB) $(PROGS)

$(LIB):	$(LIBOBJ)
	$(AR) $@ $?
	$(RANLIB) $@

$(BIN_DIR)/mmls: mmls.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ mmls.o $(LIB) $(LIBS) $(SYSLIBS)

clean:
	rm -f $(PROGS) $(LIB) *.o *core

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit - this was generated with make depend
dos.o: dos.c
dos.o: dos.c
dos.o: mm_tools.h
dos.o: mm_types.h
dos.o: ../misc/mymalloc.h
dos.o: ../misc/error.h
dos.o: dos.h
mac.o: mac.c
mac.o: mm_types.h
mac.o: ../misc/mymalloc.h
mac.o: ../misc/error.h
mac.o: mac.h
sun.o: sun.c
sun.o: mm_types.h
sun.o: ../misc/mymalloc.h
sun.o: ../misc/error.h
sun.o: sun.h
bsd.o: bsd.c
bsd.o: mm_types.h
bsd.o: ../misc/mymalloc.h
bsd.o: ../misc/error.h
bsd.o: bsd.h
mmls.o: mmls.c
mmls.o: mm_tools.h
mmls.o: ../misc/error.h
mm_open.o: mm_open.c
mm_open.o: mm_tools.h
mm_part.o: mm_part.c
mm_part.o: mm_tools.h
mm_part.o: ../misc/mymalloc.h
mm_types.o: mm_types.c
mm_types.o: mm_tools.h
