=== debian/changelog ===
sleuthkit (1.68-2) unstable; urgency=low

  * 64-bit systems naturally implement llseek (closes: #205313)
  * Bumped to Standards 3.6.1.0 (no changes needed)

 -- Mattia Monga <monga@debian.org>  Wed, 10 Mar 2004 17:28:03 +0100

sleuthkit (1.68-1) unstable; urgency=low

  * New upstream release
  * Fixed $SK_DIR in /usr/bin/sorted, now is is /usr/ (closes: #196834)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Wed, 10 Mar 2004 15:19:17 +0100

sleuthkit (1.66-1) unstable; urgency=low

  * New upstream release (closes: #221713)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Fri, 28 Nov 2003 19:13:18 +0100

sleuthkit (1.61-4) unstable; urgency=low

  * Really correct previous bug!

 -- Mattia Monga <monga@debian.org>  Mon, 12 May 2003 18:57:03 +0200

sleuthkit (1.61-3) unstable; urgency=low

  * Missing  $(shlibs:Depends) corrected

 -- Mattia Monga <monga@debian.org>  Mon,  5 May 2003 11:13:47 +0200

sleuthkit (1.61-2) unstable; urgency=low

  * Package taken while Lorenzo is waiting to become an official Debian
    mantainer

 -- Mattia Monga <monga@debian.org>  Thu, 17 Apr 2003 22:33:36 +0200

sleuthkit (1.61-1) unstable; urgency=low

  * new package release
  * changed the package name to sleuthkit

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Tue, 15 Apr 2003 19:12:45 +0200

task (1.60-1) unstable; urgency=low

  * Initial Release.

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Mon, 31 Mar 2003 23:04:51 +0200
