## sleuthkit 1.73

=== Makefile ===
SHELL	= /bin/sh
CC		= gcc
DIRS	= bin

all:	$(DIRS) compile

static:	$(DIRS) compile-static

$(DIRS):
	mkdir -p $@

compile: no-perl mactime sorter file test 

compile-static: no-perl-static mactime sorter file test

no-perl:
	cd src/misc; make "CC=$(CC)" MAKELEVEL=
	cd src/hashtools; make "CC=$(CC)" MAKELEVEL=
	cd src/fstools; make "CC=$(CC)" MAKELEVEL=
	cd src/mmtools; make "CC=$(CC)" MAKELEVEL=
	cd src/srchtools; make "CC=$(CC)" MAKELEVEL=
	cd src/disktools; make "CC=$(CC)" MAKELEVEL=

no-perl-static:
	cd src/misc; make "CC=$(CC)" OPT=-static MAKELEVEL=
	cd src/hashtools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
	cd src/fstools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
	cd src/mmtools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
	cd src/srchtools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
	cd src/disktools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
	cd src/file; CC="$(CC)" sh ./TSK.install


sorter:
	cd src/sorter; sh ./install

mactime:
	cd src/timeline; make 

file:
	cd src/file; CC="$(CC)" sh ./TSK.install

test:
	sh ./check-install

clean: 
	cd src/hashtools; make $@ "CC=$(CC)" MAKELEVEL=
	cd src/misc; make $@ "CC=$(CC)" MAKELEVEL=
	cd src/fstools; make $@ "CC=$(CC)" MAKELEVEL=
	cd src/mmtools; make $@ "CC=$(CC)" MAKELEVEL=
	cd src/srchtools; make $@ "CC=$(CC)" MAKELEVEL=
	cd src/disktools; make $@ "CC=$(CC)" MAKELEVEL=
	cd src/file; sh ./TSK.clean
	cd src/timeline; make $@
	cd src/sorter; sh ./clean
	rm -f bin/*core
	rm -f bin/.gdb_history
	find . -name ".*" | grep -v "cvsignore"
	cat patchlevel
