=== src/disktools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
OPT	= -O -Wall
DEBUG	= -g
BIN	= ../../bin
PROGS	= $(BIN)/diskstat
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. $(XFLAGS)

LIBOBJ  = diskstat.o

defs:
	@CC="$(CC)" sh ../makedefs

all:    $(LIB) $(PROGS)

$(LIB): $(LIBOBJ)
	$(AR) $@ $?
	$(RANLIB) $@

$(BIN)/diskstat: diskstat.o diskstat.c
	$(CC) $(CFLAGS) -o $@ diskstat.o 

clean:
	rm -f $(PROGS) $(LIB) *.o core *.core

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit below this line - it is generated by 'make depend'
diskstat.o: diskstat.c
