=== src/fstools/Makefile ===
--- 
+++ 
@@ -7,16 +7,17 @@
 INCL	= -I../misc
 CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
 LIBOBJ	= fs_buf.o fs_inode.o fs_io.o fs_open.o \
-	fs_dent.o fs_types.o fs_data.o mylseek.o get.o \
-	ffs.o ffs_dent.o ext2fs.o ext2fs_dent.o \
-	fatfs.o fatfs_dent.o ntfs.o ntfs_dent.o 
+	fs_dent.o fs_types.o fs_data.o get.o \
+	ffs.o ffs_dent.o ext2fs.o ext2fs_dent.o ext2fs_journal.o \
+	fatfs.o fatfs_dent.o ntfs.o ntfs_dent.o swapfs.o rawfs.o
 LIBS	= ../misc/aux_lib.a
 LIB	= fs_lib.a
 BIN_DIR	= ../../bin
 PROGS	= $(BIN_DIR)/ils $(BIN_DIR)/dls $(BIN_DIR)/icat \
 	$(BIN_DIR)/fls $(BIN_DIR)/dcat $(BIN_DIR)/ffind \
         $(BIN_DIR)/istat $(BIN_DIR)/ifind $(BIN_DIR)/dcalc $(BIN_DIR)/dstat \
-		$(BIN_DIR)/fsstat
+		$(BIN_DIR)/fsstat $(BIN_DIR)/jls $(BIN_DIR)/jcat
+# $(BIN_DIR)/fscheck
 
 defs:
 	@CC="$(CC)" sh ../makedefs
@@ -60,6 +61,16 @@
 
 $(BIN_DIR)/fsstat: fsstat.o $(LIB) $(LIBS)
 	$(CC) $(CFLAGS) -o $@ fsstat.o $(LIB) $(LIBS) $(SYSLIBS)
+
+$(BIN_DIR)/fscheck: fscheck.o $(LIB) $(LIBS)
+	$(CC) $(CFLAGS) -o $@ fscheck.o $(LIB) $(LIBS) $(SYSLIBS)
+
+$(BIN_DIR)/jls: jls.o $(LIB) $(LIBS)
+	$(CC) $(CFLAGS) -o $@ jls.o $(LIB) $(LIBS) $(SYSLIBS)
+
+$(BIN_DIR)/jcat: jcat.o $(LIB) $(LIBS)
+	$(CC) $(CFLAGS) -o $@ jcat.o $(LIB) $(LIBS) $(SYSLIBS)
+
 
 clean:
 	rm -f $(PROGS) $(LIB) *.o *core
@@ -99,6 +110,11 @@
 ext2fs_dent.o: ext2fs.h
 ext2fs_dent.o: ../misc/mymalloc.h
 ext2fs_dent.o: ../misc/error.h
+ext2fs_journal.o: fs_tools.h
+ext2fs_journal.o: fs_types.h
+ext2fs_journal.o: ext2fs.h
+ext2fs_journal.o: ../misc/mymalloc.h
+ext2fs_journal.o: ../misc/error.h
 fatfs.o: fs_tools.h
 fatfs.o: fs_types.h
 fatfs.o: fs_types.h
@@ -114,7 +130,6 @@
 ffind.o: fs_types.h
 ffind.o: ../misc/error.h
 ffs.o: fs_tools.h
-ffs.o: fs_types.h
 ffs.o: fs_types.h
 ffs.o: ffs.h
 ffs.o: ../misc/mymalloc.h
@@ -155,6 +170,9 @@
 fsstat.o: fs_tools.h
 fsstat.o: fs_types.h
 fsstat.o: ../misc/error.h
+fscheck.o: fs_tools.h
+fscheck.o: fs_types.h
+fscheck.o: ../misc/error.h
 fs_types.o: fs_tools.h
 fs_types.o: fs_types.h
 get.o: fs_tools.h
@@ -175,8 +193,14 @@
 istat.o: ../misc/error.h
 istat.o: ffs.h
 istat.o: ext2fs.h
-mylseek.o: fs_tools.h
-mylseek.o: fs_types.h
+jls.o: fs_tools.h
+jls.o: fs_types.h
+jls.o: ../misc/error.h
+jls.o: ../misc/split_at.h
+jcat.o: fs_tools.h
+jcat.o: fs_types.h
+jcat.o: ../misc/error.h
+jcat.o: ../misc/split_at.h
 ntfs.o: fs_tools.h
 ntfs.o: fs_types.h
 ntfs.o: fs_types.h
@@ -188,3 +212,11 @@
 ntfs_dent.o: ntfs.h
 ntfs_dent.o: fs_data.h
 ntfs_dent.o: ../misc/error.h
+rawfs.o: fs_tools.h
+rawfs.o: fs_types.h
+rawfs.o: ../misc/mymalloc.h
+rawfs.o: ../misc/error.h
+rawfs.o: fs_tools.h
+swapfs.o: fs_types.h
+swapfs.o: ../misc/mymalloc.h
+swapfs.o: ../misc/error.h
