=== src/mmtools/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DEBUG	= -g
 INCL	= -I../misc
 CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
-LIBOBJ	= mm_part.o mm_open.o mm_types.o dos.o mac.o bsd.o sun.o get.o
+LIBOBJ	= mm_part.o mm_open.o mm_types.o dos.o mac.o bsd.o sun.o get.o gpt.o
 LIBS	= ../misc/aux_lib.a
 LIB	= mm_lib.a
 BIN_DIR	= ../../bin
@@ -57,6 +57,12 @@
 bsd.o: ../misc/mymalloc.h
 bsd.o: ../misc/error.h
 bsd.o: bsd.h
+gpt.o: gpt.c
+gpt.o: mm_types.h
+gpt.o: ../misc/mymalloc.h
+gpt.o: ../misc/error.h
+gpt.o: gpt.h
+gpt.o: dos.h
 mmls.o: mmls.c
 mmls.o: mm_tools.h
 mmls.o: ../misc/error.h
