=== src/srchtools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
OPT	= -O -Wall
DEBUG	= -g
BIN	= ../../bin
PROGS	= $(BIN)/sstrings $(BIN)/sigfind
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I ../misc $(XFLAGS)

LIBOBJ  = sstrings.o 
LIBS    = ../misc/aux_lib.a
LIB = search_lib.a

defs:
	@CC="$(CC)" sh ../makedefs

all:    $(LIB) $(PROGS)

$(LIB): $(LIBOBJ)
	$(AR) $@ $?
	$(RANLIB) $@

$(BIN)/sstrings: sstrings.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ sstrings.o $(LIBS)

$(BIN)/sigfind: sigfind.o $(LIBS) $(LIB)
	$(CC) $(CFLAGS) -o $@ sigfind.o $(LIBS) $(LIB)

clean:
	rm -f $(PROGS) $(LIB) *.o core *.core

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit below this line - it is generated by 'make depend'
sstrings.o: sstrings.c
sigfind.o: sigfind.c
