## sleuthkit 2.00

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 no-perl:
 	cd src/misc; make "CC=$(CC)" MAKELEVEL=
+	cd src/imgtools; make "CC=$(CC)" MAKELEVEL=
 	cd src/hashtools; make "CC=$(CC)" MAKELEVEL=
 	cd src/fstools; make "CC=$(CC)" MAKELEVEL=
 	cd src/mmtools; make "CC=$(CC)" MAKELEVEL=
@@ -23,6 +24,7 @@
 
 no-perl-static:
 	cd src/misc; make "CC=$(CC)" OPT=-static MAKELEVEL=
+	cd src/imgtools; make "CC=$(CC)" MAKELEVEL=
 	cd src/hashtools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
 	cd src/fstools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
 	cd src/mmtools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
@@ -32,7 +34,7 @@
 
 
 sorter:
-	cd src/sorter; sh ./install
+	cd src/sorter; make
 
 mactime:
 	cd src/timeline; make 
@@ -45,6 +47,7 @@
 
 clean: 
 	cd src/hashtools; make $@ "CC=$(CC)" MAKELEVEL=
+	cd src/imgtools; make $@ "CC=$(CC)" MAKELEVEL=
 	cd src/misc; make $@ "CC=$(CC)" MAKELEVEL=
 	cd src/fstools; make $@ "CC=$(CC)" MAKELEVEL=
 	cd src/mmtools; make $@ "CC=$(CC)" MAKELEVEL=
@@ -55,6 +58,9 @@
 	cd src/sorter; sh ./clean
 	rm -f bin/*core
 	rm -f bin/.gdb_history
-	find . -name ".*" | grep -v "cvsignore"
+	find . -name ".DS_Store" | xargs rm -f 
+	find . -name ".*" | grep -v "cvsignore" | grep -v "indent.pro" | grep -v "tidyrc"
 	cat patchlevel
 
+release:
+	find . -name "CVS" | xargs rm -rf
