=== src/fstools/Makefile ===
--- 
+++ 
@@ -4,13 +4,15 @@
 # OPT	= -O -Wall -static
 OPT	= -O -Wall 
 DEBUG	= -g
-INCL	= -I../misc
+INCL	= -I../misc -I../imgtools
 CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
-LIBOBJ	= fs_buf.o fs_inode.o fs_io.o fs_open.o \
-	fs_dent.o fs_types.o fs_data.o get.o \
+LIBOBJ	= fs_inode.o fs_io.o fs_open.o \
+	fs_dent.o fs_types.o fs_data.o fs_load.o \
 	ffs.o ffs_dent.o ext2fs.o ext2fs_dent.o ext2fs_journal.o \
-	fatfs.o fatfs_dent.o ntfs.o ntfs_dent.o swapfs.o rawfs.o
-LIBS	= ../misc/aux_lib.a
+	fatfs.o fatfs_dent.o ntfs.o ntfs_dent.o swapfs.o rawfs.o \
+	dcalc_lib.o dcat_lib.o dls_lib.o dstat_lib.o ffind_lib.o \
+	fls_lib.o icat_lib.o ifind_lib.o ils_lib.o
+LIBS	= ../misc/aux_lib.a ../imgtools/img_lib.a
 LIB	= fs_lib.a
 BIN_DIR	= ../../bin
 PROGS	= $(BIN_DIR)/ils $(BIN_DIR)/dls $(BIN_DIR)/icat \
@@ -37,7 +39,6 @@
 $(BIN_DIR)/icat: icat.o $(LIB) $(LIBS)
 	$(CC) $(CFLAGS) -o $@ icat.o $(LIB) $(LIBS) $(SYSLIBS)
 
-
 $(BIN_DIR)/ifind: ifind.o $(LIB) $(LIBS)
 	$(CC) $(CFLAGS) -o $@ ifind.o $(LIB) $(LIBS) $(SYSLIBS)
 
@@ -71,9 +72,11 @@
 $(BIN_DIR)/jcat: jcat.o $(LIB) $(LIBS)
 	$(CC) $(CFLAGS) -o $@ jcat.o $(LIB) $(LIBS) $(SYSLIBS)
 
+indent:
+	indent *.c *.h
 
 clean:
-	rm -f $(PROGS) $(LIB) *.o *core
+	rm -f $(PROGS) $(LIB) *.o *core *~
 
 depend: $(MAKES)
 	(sed '1,/^# do not edit/!d' Makefile; \
@@ -87,18 +90,31 @@
 dcalc.o: fs_types.h
 dcalc.o: ../misc/error.h
 dcalc.o: ../misc/split_at.h
+dcalc_lib.o: fs_tools.h
+dcalc_lib.o: fs_types.h
+dcalc_lib.o: ../misc/error.h
 dcat.o: fs_tools.h
 dcat.o: fs_types.h
 dcat.o: ../misc/error.h
+dcat_lib.o: fs_tools.h
+dcat_lib.o: fs_types.h
+dcat_lib.o: ../misc/error.h
 dls.o: fs_tools.h
 dls.o: fs_types.h
 dls.o: ../misc/error.h
 dls.o: ../misc/split_at.h
+dls_lib.o: fs_tools.h
+dls_lib.o: fs_types.h
+dls_lib.o: ../misc/error.h
 dstat.o: fs_tools.h
 dstat.o: fs_types.h
 dstat.o: ../misc/error.h
-dstat.o: ffs.h
-dstat.o: ext2fs.h
+dstat_lib.o: fs_tools.h
+dstat_lib.o: fs_types.h
+dstat_lib.o: ../misc/error.h
+dstat_lib.o: fatfs.h
+dstat_lib.o: ffs.h
+dstat_lib.o: ext2fs.h
 ext2fs.o: fs_tools.h
 ext2fs.o: fs_types.h
 ext2fs.o: fs_types.h
@@ -129,6 +145,9 @@
 ffind.o: fs_tools.h
 ffind.o: fs_types.h
 ffind.o: ../misc/error.h
+ffind_lib.o: fs_tools.h
+ffind_lib.o: fs_types.h
+ffind_lib.o: ../misc/error.h
 ffs.o: fs_tools.h
 ffs.o: fs_types.h
 ffs.o: ffs.h
@@ -142,11 +161,10 @@
 fls.o: fs_tools.h
 fls.o: fs_types.h
 fls.o: ../misc/error.h
-fls.o: ntfs.h
-fs_buf.o: fs_tools.h
-fs_buf.o: fs_types.h
-fs_buf.o: ../misc/mymalloc.h
-fs_buf.o: ../misc/error.h
+fls_lib.o: fs_tools.h
+fls_lib.o: fs_types.h
+fls_lib.o: ../misc/error.h
+fls_lib.o: ntfs.h
 fs_data.o: fs_tools.h
 fs_data.o: fs_types.h
 fs_data.o: ../misc/mymalloc.h
@@ -173,21 +191,30 @@
 fscheck.o: fs_tools.h
 fscheck.o: fs_types.h
 fscheck.o: ../misc/error.h
+fs_load.o: fs_tools.h
+fs_load.o: fs_load.c
 fs_types.o: fs_tools.h
 fs_types.o: fs_types.h
-get.o: fs_tools.h
-get.o: fs_types.h
-get.o: ../misc/error.h
 icat.o: fs_tools.h
 icat.o: fs_types.h
 icat.o: ../misc/error.h
+icat_lib.o: fs_tools.h
+icat_lib.o: fs_types.h
+icat_lib.o: ../misc/error.h
 ifind.o: fs_tools.h
 ifind.o: fs_types.h
 ifind.o: ../misc/error.h
+ifind_lib.o: fs_tools.h
+ifind_lib.o: fs_types.h
+ifind_lib.o: ../misc/error.h
 ils.o: fs_tools.h
 ils.o: fs_types.h
 ils.o: ../misc/error.h
 ils.o: ../misc/split_at.h
+ils_lib.o: fs_tools.h
+ils_lib.o: fs_types.h
+ils_lib.o: ../misc/error.h
+ils_lib.o: ../misc/split_at.h
 istat.o: fs_tools.h
 istat.o: fs_types.h
 istat.o: ../misc/error.h
