=== src/hashtools/Makefile ===
--- 
+++ 
@@ -27,8 +27,11 @@
 $(BIN)/hfind: hfind.o nsrl_index.o tm_lookup.o md5sum_index.o hk_index.o
 	$(CC) $(CFLAGS) -o $@ hfind.o nsrl_index.o tm_lookup.o md5sum_index.o hk_index.o
 
+indent:
+	indent *.c *.h
+
 clean:
-	rm -f $(PROGS) $(LIB) *.o core *.core
+	rm -f $(PROGS) $(LIB) *.o core *.core *~
 
 depend: $(MAKES)
 	(sed '1,/^# do not edit/!d' Makefile; \
