=== src/imgtools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
# Uncomment this for a static build
# OPT	= -O -Wall  -static
OPT	= -O -Wall 
DEBUG	= -g
INCL	= -I../misc
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
LIBOBJ	= img_open.o raw.o split.o 
LIBS	= ../misc/aux_lib.a
LIB	= img_lib.a
BIN_DIR	= ../../bin
PROGS	= $(BIN_DIR)/img_stat

defs:
	@CC="$(CC)" sh ../makedefs

all:	$(LIB) $(PROGS)

$(LIB):	$(LIBOBJ)
	$(AR) $@ $?
	$(RANLIB) $@

$(BIN_DIR)/img_stat: img_stat.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ img_stat.o $(LIB) $(LIBS) $(SYSLIBS)

clean:
	rm -f $(PROGS) $(LIB) *.o *core *~

indent:
	indent *.c *.h

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit - this was generated with make depend
img_open.o: img_open.c
img_open.o: img_tools.h
img_open.o: ../misc/tsk_os.h
img_open.o: ../misc/tsk_types.h
raw.o: raw.c
raw.o: img_tools.h
raw.o: ../misc/tsk_os.h
raw.o: ../misc/tsk_types.h
split.o: split.c
split.o: img_tools.h
split.o: ../misc/tsk_os.h
split.o: ../misc/tsk_types.h
img_stat.o: img_stat.c
img_stat.o: img_tools.h
img_stat.o: ../misc/tsk_os.h
img_stat.o: ../misc/tsk_types.h
