=== src/misc/Makefile ===
--- 
+++ 
@@ -5,7 +5,9 @@
 OPT	= -O -Wall
 DEBUG	= -g
 CFLAGS	= $(DEFS) $(OPT) $(DEBUG)
-LIBOBJ	= mymalloc.o error.o strerror.o split_at.o 
+LIBOBJ	= mymalloc.o error.o strerror.o split_at.o tsk_endian.o \
+    unicode.o data_buf.o tsk_version.o
+
 LIB	= aux_lib.a
 BIN_DIR	= 
 PROGS	= 
@@ -21,8 +23,11 @@
 	$(AR) $@ $?
 	$(RANLIB) $@
 
+indent:
+	indent *.h *.c
+
 clean:
-	rm -f $(PROGS) $(LIB) *.o *core
+	rm -f $(PROGS) $(LIB) *.o *core *~
 
 depend: $(MAKES)
 	(sed '1,/^# do not edit/!d' Makefile; \
@@ -32,11 +37,26 @@
 	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile
 
 # do not edit - this was generated with make depend
+data_buf.o: data_buf.c
+data_buf.o: data_buf.c
+data_buf.o: data_buf.h
+tsk_endian.o: tsk_endian.c
+tsk_endian.o: tsk_endian.c
+tsk_endian.o: tsk_os.h
+tsk_endian.o: tsk_types.h
+tsk_endian.o: tsk_endian.h
+tsk_endian.o: error.h
+error.o: error.c
 error.o: error.c
 error.o: error.h
+mymalloc.o: mymalloc.c
 mymalloc.o: mymalloc.c
 mymalloc.o: error.h
 mymalloc.o: mymalloc.h
 split_at.o: split_at.c
+split_at.o: split_at.c
 split_at.o: split_at.h
 strerror.o: strerror.c
+strerror.o: strerror.c
+unicode.o: unicode.c
+tsk_version.o:tsk_version.c
