=== src/mmtools/Makefile ===
--- 
+++ 
@@ -4,13 +4,13 @@
 # OPT	= -O -Wall  -static
 OPT	= -O -Wall 
 DEBUG	= -g
-INCL	= -I../misc
+INCL	= -I../misc -I../imgtools
 CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
-LIBOBJ	= mm_part.o mm_open.o mm_types.o dos.o mac.o bsd.o sun.o get.o gpt.o
-LIBS	= ../misc/aux_lib.a
+LIBOBJ	= mm_part.o mm_open.o mm_io.o mm_types.o dos.o mac.o bsd.o sun.o gpt.o
+LIBS	= ../misc/aux_lib.a ../imgtools/img_lib.a
 LIB	= mm_lib.a
 BIN_DIR	= ../../bin
-PROGS	= $(BIN_DIR)/mmls
+PROGS	= $(BIN_DIR)/mmls $(BIN_DIR)/mmstat
 
 defs:
 	@CC="$(CC)" sh ../makedefs
@@ -24,8 +24,14 @@
 $(BIN_DIR)/mmls: mmls.o $(LIB) $(LIBS)
 	$(CC) $(CFLAGS) -o $@ mmls.o $(LIB) $(LIBS) $(SYSLIBS)
 
+$(BIN_DIR)/mmstat: mmstat.o $(LIB) $(LIBS)
+	$(CC) $(CFLAGS) -o $@ mmstat.o $(LIB) $(LIBS) $(SYSLIBS)
+
+indent:
+	indent *.c *.h
+
 clean:
-	rm -f $(PROGS) $(LIB) *.o *core
+	rm -f $(PROGS) $(LIB) *.o *core *~
 
 depend: $(MAKES)
 	(sed '1,/^# do not edit/!d' Makefile; \
@@ -66,6 +72,9 @@
 mmls.o: mmls.c
 mmls.o: mm_tools.h
 mmls.o: ../misc/error.h
+mmstat.o: mmstat.c
+mmstat.o: mm_tools.h
+mmstat.o: ../misc/error.h
 mm_open.o: mm_open.c
 mm_open.o: mm_tools.h
 mm_part.o: mm_part.c
@@ -73,3 +82,5 @@
 mm_part.o: ../misc/mymalloc.h
 mm_types.o: mm_types.c
 mm_types.o: mm_tools.h
+mm_io.o: mm_io.c
+mm_io.o: mm_tools.h
