## sleuthkit 2.03

=== src/disktools/Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 SHELL	= /bin/sh
 CC	= gcc
+#CC	= g++
 OPT	= -O -Wall
 DEBUG	= -g
 BIN	= ../../bin
 PROGS	= $(BIN)/disk_stat $(BIN)/disk_sreset
-CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I ../misc/ $(XFLAGS)
-LIBS    = ../misc/aux_lib.a
+CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I ../auxtools/ $(XFLAGS)
+LIBS    = ../auxtools/libauxtools.a
 
 defs:
 	@CC="$(CC)" sh ../makedefs
