=== src/imgtools/Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
 SHELL	= /bin/sh
 CC	= gcc
+#CC	= g++
 # Uncomment this for a static build
 # OPT	= -O -Wall  -static
 OPT	= -O -Wall 
 DEBUG	= -g
-INCL	= -I../misc
+INCL	= -I../auxtools
 CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
 LIBOBJ	= img_open.o raw.o split.o 
-LIBS	= ../misc/aux_lib.a
-LIB	= img_lib.a
+LIBS	= ../auxtools/libauxtools.a
+LIB	= libimgtools.a
 BIN_DIR	= ../../bin
 PROGS	= $(BIN_DIR)/img_stat
 
@@ -40,17 +41,17 @@
 # do not edit - this was generated with make depend
 img_open.o: img_open.c
 img_open.o: img_tools.h
-img_open.o: ../misc/tsk_os.h
-img_open.o: ../misc/tsk_types.h
+img_open.o: ../auxtools/tsk_os.h
+img_open.o: ../auxtools/tsk_types.h
 raw.o: raw.c
 raw.o: img_tools.h
-raw.o: ../misc/tsk_os.h
-raw.o: ../misc/tsk_types.h
+raw.o: ../auxtools/tsk_os.h
+raw.o: ../auxtools/tsk_types.h
 split.o: split.c
 split.o: img_tools.h
-split.o: ../misc/tsk_os.h
-split.o: ../misc/tsk_types.h
+split.o: ../auxtools/tsk_os.h
+split.o: ../auxtools/tsk_types.h
 img_stat.o: img_stat.c
 img_stat.o: img_tools.h
-img_stat.o: ../misc/tsk_os.h
-img_stat.o: ../misc/tsk_types.h
+img_stat.o: ../auxtools/tsk_os.h
+img_stat.o: ../auxtools/tsk_types.h
