=== src/mmtools/Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
 SHELL	= /bin/sh
 CC	= gcc
+#CC	= g++
 # Uncomment this for a static build
 # OPT	= -O -Wall  -static
 OPT	= -O -Wall 
 DEBUG	= -g
-INCL	= -I../misc -I../imgtools
+INCL	= -I../auxtools -I../imgtools
 CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
 LIBOBJ	= mm_part.o mm_open.o mm_io.o mm_types.o dos.o mac.o bsd.o sun.o gpt.o
-LIBS	= ../misc/aux_lib.a ../imgtools/img_lib.a
-LIB	= mm_lib.a
+LIBS	= ../auxtools/libauxtools.a ../imgtools/libimgtools.a
+LIB	= libmmtools.a
 BIN_DIR	= ../../bin
 PROGS	= $(BIN_DIR)/mmls $(BIN_DIR)/mmstat
 
@@ -45,41 +46,41 @@
 dos.o: dos.c
 dos.o: mm_tools.h
 dos.o: mm_types.h
-dos.o: ../misc/mymalloc.h
-dos.o: ../misc/error.h
+dos.o: ../auxtools/mymalloc.h
+dos.o: ../auxtools/error.h
 dos.o: dos.h
 mac.o: mac.c
 mac.o: mm_types.h
-mac.o: ../misc/mymalloc.h
-mac.o: ../misc/error.h
+mac.o: ../auxtools/mymalloc.h
+mac.o: ../auxtools/error.h
 mac.o: mac.h
 sun.o: sun.c
 sun.o: mm_types.h
-sun.o: ../misc/mymalloc.h
-sun.o: ../misc/error.h
+sun.o: ../auxtools/mymalloc.h
+sun.o: ../auxtools/error.h
 sun.o: sun.h
 bsd.o: bsd.c
 bsd.o: mm_types.h
-bsd.o: ../misc/mymalloc.h
-bsd.o: ../misc/error.h
+bsd.o: ../auxtools/mymalloc.h
+bsd.o: ../auxtools/error.h
 bsd.o: bsd.h
 gpt.o: gpt.c
 gpt.o: mm_types.h
-gpt.o: ../misc/mymalloc.h
-gpt.o: ../misc/error.h
+gpt.o: ../auxtools/mymalloc.h
+gpt.o: ../auxtools/error.h
 gpt.o: gpt.h
 gpt.o: dos.h
 mmls.o: mmls.c
 mmls.o: mm_tools.h
-mmls.o: ../misc/error.h
+mmls.o: ../auxtools/error.h
 mmstat.o: mmstat.c
 mmstat.o: mm_tools.h
-mmstat.o: ../misc/error.h
+mmstat.o: ../auxtools/error.h
 mm_open.o: mm_open.c
 mm_open.o: mm_tools.h
 mm_part.o: mm_part.c
 mm_part.o: mm_tools.h
-mm_part.o: ../misc/mymalloc.h
+mm_part.o: ../auxtools/mymalloc.h
 mm_types.o: mm_types.c
 mm_types.o: mm_tools.h
 mm_io.o: mm_io.c
