=== src/srchtools/Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
 SHELL	= /bin/sh
 CC	= gcc
+#CC	= g++
 OPT	= -O -Wall
 DEBUG	= -g
 BIN	= ../../bin
 PROGS	= $(BIN)/srch_strings $(BIN)/sigfind
-CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I ../misc $(XFLAGS)
+CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I ../auxtools $(XFLAGS)
 
 LIBOBJ  = srch_strings.o 
-LIBS    = ../misc/aux_lib.a
-LIB = search_lib.a
+LIBS    = ../auxtools/libauxtools.a
+LIB = libsrchtools.a
 
 defs:
 	@CC="$(CC)" sh ../makedefs
@@ -41,4 +42,4 @@
 # do not edit below this line - it is generated by 'make depend'
 srch_strings.o: srch_strings.c
 sigfind.o: sigfind.c
-sigfind.o: ../misc/tsk_os.h
+sigfind.o: ../auxtools/tsk_os.h
